List Tools
curl --request GET \
--url https://api.openmic.ai/v1/bots/{bot_uid}/tools \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.openmic.ai/v1/bots/{bot_uid}/tools"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.openmic.ai/v1/bots/{bot_uid}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tools": [
{
"id": 123,
"type": "api_request",
"name": "<string>",
"description": "<string>",
"url": "<string>",
"method": "<string>",
"api_timeout": 123,
"parameters": {},
"use_raw_schema": true,
"static_params": {},
"speak_during_execution": true,
"speak_after_execution": true,
"async": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"limit": 123,
"offset": 123,
"total": 123,
"has_more": true
}
}Tools
List Tools
Retrieve a paginated list of tools for a bot.
GET
/
v1
/
bots
/
{bot_uid}
/
tools
List Tools
Authorizations
API key authentication. Include your API key in the Authorization header as: Authorization: Bearer <your-api-key>
Path Parameters
The unique identifier of the bot.
Query Parameters
Max tools to return (1-100).
Required range:
1 <= x <= 100Number of tools to skip.
Required range:
x >= 0Filter by tool type. The type of tool that determines its behavior and required configuration.
Available options:
api_request, function, end_call, transfer_call, dtmf, send_sms, send_email, call_booking, check_calendar_availability, check_working_hours Filter tools created after this date.
Filter tools created before this date.
Was this page helpful?